<?php
namespace App\Repository\Painel;
use App\Http\Models\Grupopro;

class GrupoproRepository{
  public function show($uri){
    $grupopro = Grupopro::query()->paginate( 8);
    return view('painel.produtos.grupos.listGrupos',compact('grupopro', 'uri'));
  }
  public function search($req,$uri){
    //
  }
  public function save($req){
    $cod = soNumeros($req->codigo);
    if($cod == ''){ //insere
      //
    }else{ //edita
      //
    }
  }

  public function add($uri){
    //dd($uri);
  }
  public function edit($id, $uri){
    //dd($uri);
  }
  public function delete($id){
    //dd($uri);
  }
}
